QuickFIX: FIX::UtcDate Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::UtcDate Class Reference
[User]

Date only represented in UTC. More...

`#include <FieldTypes.h>`

Inheritance diagram for FIX::UtcDate:
[legend]
Collaboration diagram for FIX::UtcDate:
[legend]

List of all members.

## Public Member Functions
| UtcDate ()
| Defaults to the current date.
| UtcDate (const DateTime &val)
| UtcDate (int date, int month, int year)
| UtcDate (long sec)
| UtcDate (const tm *time)
void | setCurrent ()
| Set to the current time.

## Detailed Description

Date only represented in UTC.

Definition at line 551 of file FieldTypes.h.

## Constructor & Destructor Documentation

FIX::UtcDate::UtcDate | ( |  | ) | `[inline]`

Defaults to the current date.

Definition at line 555 of file FieldTypes.h.

References setCurrent().

    00556   {
    00557     setCurrent();
    00558   }

FIX::UtcDate::UtcDate | ( | const DateTime & | val | ) | `[inline]`

Definition at line 560 of file FieldTypes.h.

References FIX::DateTime::clearTime().

    00561   : DateTime( val )
    00562   {
    00563     clearTime();
    00564   }

FIX::UtcDate::UtcDate | ( | int | date,
|  | int | month,
|  | int | year |
| ) |  |  | `[inline]`

Definition at line 566 of file FieldTypes.h.

    00567   : DateTime(year, month, date, 0, 0, 0, 0) {}

FIX::UtcDate::UtcDate | ( | long | sec | ) | `[inline]`

Definition at line 569 of file FieldTypes.h.

    00570   : DateTime( sec / DateTime::SECONDS_PER_DAY, 0 ) {}

FIX::UtcDate::UtcDate | ( | const tm * | time | ) | `[inline]`

Definition at line 572 of file FieldTypes.h.

References FIX::DateTime::clearTime().

    00573   : DateTime( fromTm (*time) )
    00574   {
    00575     clearTime();
    00576   }

## Member Function Documentation

void FIX::UtcDate::setCurrent | ( |  | ) | `[inline]`

Set to the current time.

Definition at line 579 of file FieldTypes.h.

References FIX::DateTime::m_date, and FIX::DateTime::nowUtc().

Referenced by UtcDate().

    00580   {
    00581     DateTime d = nowUtc();
    00582     m_date = d.m_date;
    00583   }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/FieldTypes.h